---
title: media
slug: Web/SVG/Attribute/media
tags:
  - SVG
  - SVG Attribute
---
<div>{{SVGRef}}</div>

<p><span class="seoSummary">The <code><strong>media</strong></code> attribute specifies a {{Glossary("media query")}} that must be matched for a style sheet to apply.</span></p>

<p>Only one element is using this attribute: {{SVGElement("style")}}</p>

<div id="topExample">
<div class="hidden">
<pre class="brush: css">html, body, svg {
  height: 100%;
}</pre>
</div>

<pre class="brush: html; highlight[5]">&lt;svg viewBox="0 0 240 220" xmlns="http://www.w3.org/2000/svg"&gt;
  &lt;style&gt;
    rect { fill: black; }
  &lt;/style&gt;
  &lt;style media="all and (min-width: 600px)"&gt;
    rect { fill: seagreen; }
  &lt;/style&gt;

  &lt;text y="15"&gt;Resize the window to see the effect&lt;/text&gt;
  &lt;rect y="20" width="200" height="200" /&gt;
&lt;/svg&gt;</pre>

<p>{{EmbedLiveSample("topExample", "200", "200")}}</p>
</div>

<h2 id="Usage_notes">Usage notes</h2>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row">Value</th>
   <td><code><a href="/en-US/docs/Web/CSS/@media#media-query-list">&lt;media-query-list&gt;</a></code></td>
  </tr>
  <tr>
   <th scope="row">Default value</th>
   <td><code>all</code></td>
  </tr>
  <tr>
   <th scope="row">Animatable</th>
   <td>Yes</td>
  </tr>
 </tbody>
</table>

<dl>
 <dt><code>&lt;media-query-list&gt;</code></dt>
 <dd>
 <p>This value holds a media query that needs to match in order for the style sheet to be applied.</p>

 <p>If not specified, the style sheet is applied unconditionally.</p>
 </dd>
</dl>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("SVG2", "styling.html#StyleElementMediaAttribute", "media")}}</td>
   <td>{{Spec2("SVG2")}}</td>
   <td>Changed the value definition from different media types as defined in CSS 2 to <code><a href="/en-US/docs/Web/CSS/@media#media-query-list">&lt;media-query-list&gt;</a></code>.</td>
  </tr>
  <tr>
   <td>{{SpecName("SVG1.1", "styling.html#StyleElementMediaAttribute", "media")}}</td>
   <td>{{Spec2("SVG1.1")}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("svg.elements.style.media")}}</p>
